# UI Components for use with the Front Plugin SDK

### Testing

```
yarn test
```

### Building

```
yarn build
```

### Generating New Components

Included a handy NodeJS util file under `util` called `create-component.js`. Instead of copy pasting components to create a new component, you can instead run this command to generate all the files you need to start building out a new component. To use it:

```
yarn run generate YourComponentName
```

This will generate:

```
/src
  /YourComponentName
    YourComponentName.tsx
    YourComponentName.stories.tsx
    YourComponentName.test.tsx
    YourComponentName.css
    index.ts
```

The default templates for each file can be modified under `util/templates`.

Don't forget to add the component to your `src/index.ts` exports if you want the library to export the component!
