import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Attachments.css';
export interface AttachmentsProps {
    label: string;
    buttonLabel: string;
    attachments: Attachment[];
    errorText?: string;
    placeholder?: string;
    isRequired?: boolean;
    onChange: (files: FileList) => void;
    onDelete?: (id: string) => void;
    onDownload?: (url: string, name: string) => void;
}
export interface Attachment {
    id: string;
    name: string;
    url: string;
    size: string;
    progress?: number;
    error?: AttachmentError;
    canDelete?: boolean;
    canDownload?: boolean;
}
export interface AttachmentError {
    title?: string;
    description: string | JSX.Element;
}
declare const Attachments: React.FC<AttachmentsProps>;
export interface AttachmentsFileProps {
    attachment: Attachment;
    onDelete?: (id: string) => void;
    onDownload?: (url: string, name: string) => void;
}
export declare const AttachmentsFile: React.FC<AttachmentsFileProps>;
export default Attachments;
