import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './SearchInput.css';
export declare type SearchInputSize = 'small' | 'normal';
export interface SearchInputProps {
    placeholder?: string;
    label?: string;
    defaultValue?: string;
    className?: string;
    size?: SearchInputSize;
    isClearIconNeeded?: boolean;
    autoFocus?: boolean;
    onEnterKeyDown?: (value: string) => void;
    onChange?: (value: string) => void;
    onBlur?: (value: string) => void;
    onClear?: () => void;
}
export interface SearchInputElement {
    clearInput: () => void;
}
declare const SearchInput: React.ForwardRefExoticComponent<SearchInputProps & React.RefAttributes<SearchInputElement>>;
export default SearchInput;
