import React from 'react';
import { ViewPortDelta } from '../Dropdown/Dropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './SearchableDropdown.css';
export declare type SearchableDropdownItem = {
    key: number | string;
    label: string;
};
export interface SearchableDropdownProps {
    title: string;
    options: SearchableDropdownItem[];
    value?: SearchableDropdownItem | null;
    errorText?: string;
    icon?: JSX.Element;
    isDisabled?: boolean;
    isRequired?: boolean;
    placeholder?: string;
    onSelectValue: (value: SearchableDropdownItem) => void;
    autoWidth?: boolean;
    widthDropdownChildren?: string;
    maxHeightDropdownChildren?: string;
    isToggleAllWidthNeeded?: boolean;
    isControlledSearch?: boolean;
    onSearch?: (value: string, isLiveUpdate: boolean) => void;
    loader?: React.ReactNode;
    isLoading?: boolean;
    onOpen?: () => void;
    onClose?: () => void;
    viewPortDelta?: ViewPortDelta;
}
declare const SearchableDropdown: React.FC<SearchableDropdownProps>;
export default SearchableDropdown;
