import React from 'react';
import { Position } from '../../helpers/position-coordinates';
import { ViewPortDelta } from '../Dropdown/Dropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './SearchableMultilevelDropdown.css';
export interface SearchableMultilevelDropdownItem {
    body: React.ReactNode;
    isAffectedBySearch: boolean;
    searchValue: string;
    key?: string;
    onClick?: (searchValue: string, key?: string) => void;
    nextLevel?: SearchableMultilevelDropdownLevel;
    autoClose?: boolean;
}
export interface SearchableMultilevelDropdownSection {
    title: string;
    items: SearchableMultilevelDropdownItem[];
}
export interface SearchableMultilevelDropdownLevel {
    searchPlaceholder: string;
    sections: SearchableMultilevelDropdownSection[];
    title: React.ReactNode;
    prevLevel?: SearchableMultilevelDropdownLevel;
    isControlledSearch?: boolean;
    isNoResults?: boolean;
    isDefault?: boolean;
    id: string;
}
export interface SearchableMultilevelDropdownProps {
    level: SearchableMultilevelDropdownLevel;
    toggle: React.ReactNode;
    noResultsBody?: React.ReactNode;
    position?: Position;
    width?: string;
    height?: string;
    onOpen?: () => void;
    onClose?: () => void;
    onSearch?: (searchValue: string, isLiveUpdate: boolean) => void;
    onPrevLevelClick?: (levelId: string) => void;
    viewPortDelta?: ViewPortDelta;
}
declare const SearchableMultilevelDropdown: React.FC<SearchableMultilevelDropdownProps>;
export default SearchableMultilevelDropdown;
