import React, { MouseEvent } from 'react';
import { ThreeDotButtonDropdownItem } from '../ThreeDotButtonDropdown/ThreeDotButtonDropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './TaskCard.css';
declare type TaskCardVariant = 'icon' | 'no-icon' | 'checkbox';
export interface TaskCardProps {
    title: string;
    variant: TaskCardVariant;
    icon?: React.ReactNode;
    checked?: boolean;
    menuItems?: ThreeDotButtonDropdownItem[];
    width?: string;
    className?: string;
    onClick?: (event: MouseEvent) => void;
    onCheckboxChange?: (value: boolean) => void;
}
declare const TaskCard: React.FC<TaskCardProps>;
export default TaskCard;
